Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class OrderedList

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.ListElement
                              |
                              +--weblogic.html.OrderedList

public class OrderedList
extends ListElement

An OrderedList object (a type of ListElement) is used to create a numbered list on an htmlKona page. Build the OrderedList by adding ListItems to it. Use the setType() method to set the numbering style with variables provided in this class. Use the setStart() method to initialize the number of the first item in the list to something other than 1.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ListElement`, `ListItem`

Field Summary
`static java.lang.String` | `arabic` Deprecated.
`static java.lang.String` | `largeLatin` Deprecated.
`static java.lang.String` | `largeRoman` Deprecated.
`static java.lang.String` | `smallLatin` Deprecated.
`static java.lang.String` | `smallRoman` Deprecated.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`OrderedList()` Deprecated.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`OrderedList` | `setStart(int val)` Deprecated. Initializes the list sequence for lists starting at a number (based on the formatting type) other than 1.
`OrderedList` | `setType(java.lang.String val)` Deprecated. Sets the TYPE attribute for an ordered list, which determines the numbering style.

Methods inherited from class weblogic.html.ListElement
`addElement, addElement, addElement, getElementAt, setCompact`

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### largeRoman

    public static final java.lang.String largeRoman

  Deprecated.

### smallRoman

    public static final java.lang.String smallRoman

  Deprecated.

### largeLatin

    public static final java.lang.String largeLatin

  Deprecated.

### smallLatin

    public static final java.lang.String smallLatin

  Deprecated.

### arabic

    public static final java.lang.String arabic

  Deprecated.

Constructor Detail

### OrderedList

    public OrderedList()

  Deprecated.

Method Detail

### setType

    public OrderedList setType(java.lang.String val)

  Deprecated.
  Sets the TYPE attribute for an ordered list, which determines the numbering style. Use variables provided in this class to set numbering style, for example "setType(OrderedList.largeRoman)", or use a valid string identifier.

  Note that not all browsers support this.

  Parameters:
    `val` - Numbering style

### setStart

    public OrderedList setStart(int val)

  Deprecated.
  Initializes the list sequence for lists starting at a number (based on the formatting type) other than 1. For example, the value 2 would be interpreted as B, b, II, ii, or 2, based on the numbering style.

  Note that not all browsers support this.

  Parameters:
    `val` - Number to start at

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD